$(document).ready(function () {
    var ctx = document.getElementById('myChart').getContext('2d');
    var data = {
  "labels": [
    "Inflationsrate",
    "Arbeitslosenquote",
    "Nicht-Ausnutzung der Produktionskapazitäten"
  ],
  "datasets": [
    {
      "label": "vorher",
      "fill": true,
      "data": [
        "0.8",
        "10",
        "6"
      ],
      
      "backgroundColor": [
          "#62d6fc",
          "#fc8158",
          "#22b7c1"
        ]
    },
    {
      "label": "nachher",
      "backgroundColor": [
          "#00b1eb",
          "#e6501e",
          "#008c96"],
      "fill": true,
      "data": [
        "2.0",
        "7.5",
        "4.5"
      ]
    }
  ]
};
    var options = {
  "title": {
    "display": false,
    "text": "",
    "position": "bottom",
    "fullWidth": true,
    "fontColor": "#aa7942",
    "fontSize": 16
  },
  "legend": {
    "display": false,
    "fullWidth": true,
    "position": "bottom",
    "labels": {
      "fontFamily": "Verdana",
      "fontColor": "#c3c800;"
    }
  },
  "scales": {
    "yAxes": [
      {
        "ticks": {
            "suggestedMax": 14,
          "beginAtZero": true,
          "display": false
        },
        "gridLines": {
          "display": false,
          "lineWidth": 1,
          "drawOnChartArea": false,
          "drawTicks": false,
          "tickMarkLength": 1,
          "offsetGridLines": false,
          "zeroLineColor": "#c3c800",
          "color": "#c3c800",
          "zeroLineWidth": 2
        },
        "scaleLabel": {
          "display": false,
          "labelString": "%"
        },
        "display": false
      }
    ],
    "xAxes": [{
        barPercentage: 1,
      "0": {
         
        "ticks": {
          "display": false,
          "fontSize": 14,
          "fontStyle": "italic"
        },
        "display": true,
        "gridLines": {
          "display": false,
          "lineWidth": 1,
          "drawOnChartArea": false,
          "drawTicks": false,
          "tickMarkLength": 12,
          "zeroLineWidth": 1,
          "offsetGridLines": true,
          "color": "#c3c800",
          "zeroLineColor": "#c3c800"
        },
        "scaleLabel": {
          "fontSize": 16,
          "display": false,
          "fontStyle": "normal",
          "labelString": ""
        }
        
      }
    }]
  },
  "tooltips": {
    "enabled": true,
    "mode": "label",
    "caretSize": 10,
    "backgroundColor": "#5a145a"
  },
  "animation": {
    "duration": "4000"
  }
};

    var myChart = new Chart(ctx, {
        type: 'bar',
        data: data,
        options: options
    });

});