var app = angular.module("spa", ['ngRoute','rzModule', 'ui.bootstrap','ngSanitize']);

app.config(function ($routeProvider, $locationProvider) {
    $routeProvider
            .when("/Intro", {
                templateUrl: 'intro.html',
                controller: 'mainController'
            })
            .when("/Scenario", {
                templateUrl: 'scenario.html',
                controller: 'scenarioController'
            })
            .when("/Interactive", {
                templateUrl: 'interaction.html',
                controller: 'interactionController'
            })
            .otherwise({
                redirectTo: '/Intro'
            });
            $locationProvider.hashPrefix('');
});

