/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var app = angular.module('spa');

app.run(function ($rootScope) {

    $rootScope.scenarios = {
        first: {leitzins: 4.8, inflation: 0.8, unemployment: 10.0, capacity: 6.0, maxValue: 12.0, anmerkung: "",
            possibilities: {
                percentages: [2.8, 3.8, 4.2, 4.8, 5.3, 5.8, 6.8],
                first: {leitzins: 2.8, inflation: 2.0, unemployment: 7.5, capacity: 4.5, gauge: 50, response: "Sie haben das Inflationsziel nahezu erreicht. Durch die höhere Geldmenge haben Sie zudem die gesamtwirtschaftlich Entwicklung erkennbar gefördert."},
                second: {leitzins: 3.8, inflation: 1.5, unemployment: 9.0, capacity: 5.5, gauge: 61, response: "Sie sind dem Hauptziel der EZB (Inflation etwas unter 2&nbsp;%) deutlich näher gekommen. Auch die konjunkturelle Entwicklung beginnt positiv auf Ihre Leitzinssenkung zu reagieren."},
                third: {leitzins: 4.2, inflation: 1.1, unemployment: 10.0, capacity: 6.0, gauge: 69, response: "Sie sind dem Hauptziel der EZB (Inflation etwas unter 2&nbsp;%) näher gekommen. Für die Annäherung an die weiteren Ziele war die Leitzinssenkung wahrscheinlich noch zu gering."},
                fourth: {leitzins: 4.8, inflation: 0.8, unemployment: 10.0, capacity: 6.0, gauge: 75, response: "Sie haben sich weder dem primären Inflationsziel der EZB (etwas unter 2&nbsp;%) noch dem sekundären Ziel, die wirtschaftliche Entwicklung zu unterstützen (und dadurch auch die hohe Arbeitslosenquote zu senken) angenähert."},
                fifth: {leitzins: 5.3, inflation: 0.6, unemployment: 10.0, capacity: 6.0, gauge: 80, response: "Sie haben sich vom Hauptziel der EZB weiter entfernt (Inflation etwas unter 2&nbsp;%)."},
                sixth: {leitzins: 5.8, inflation: 0.3, unemployment: 11.0, capacity: 6.5, gauge: 90, response: "Sie haben sich vom Hauptziel der EZB deutlich entfernt (Inflation etwas unter 2&nbsp;%) und müssen bereits Deflation fürchten. Auch andere Wirtschaftsdaten entwickeln sich negativ."},
                seventh: {leitzins: 6.8, inflation: 0.0, unemployment: 12.0, capacity: 7.0, gauge: 98, response: "Sie haben sich vom Hauptziel der EZB deutlich entfernt (Inflation etwas unter 2&nbsp;%). Es droht unmittelbar Deflation. Auch andere Wirtschaftsdaten entwickeln sich sehr negativ."}
            }
        },
        second: {leitzins: 2.0, inflation: 3.5, unemployment: 3.5, capacity: 3.0, maxValue: 4.5, anmerkung: "", //Durch Überstunden vieler Beschäftigter wird das eigentliche volkswirtschaftliche Produktionspotenzial zurzeit sogar um 3 % übertroffen.
            possibilities: {
                percentages: [0, 1.0, 1.5, 2.0, 2.5, 3.0, 4.0],
                first: {leitzins: 0, inflation: 4.3, unemployment: 2.7, capacity: 2.3, gauge: 10, response: "Durch Ihre Leitzinsentscheidung bewegen Sie sich deutlich weg von der primären Zielsetzung der EZB (Inflation etwas unter 2&nbsp;%). Durch die stark vergünstigten Kredite an Firmen und Privatleute kurbeln Sie aber Investitionen und Konsum erkennbar an und tragen damit zu einer stark positiven konjunkturellen Entwicklung bei."},
                second: {leitzins: 1.0, inflation: 3.9, unemployment: 3.0, capacity: 2.6, gauge: 15, response: "Durch Ihre Leitzinsentscheidung bewegen Sie sich weg von der primären Zielsetzung der EZB (Inflation etwas unter 2&nbsp;%). Durch die vergünstigten Kredite an Firmen und Privatleute kurbeln Sie aber Investitionen und Konsum etwas an und tragen damit zu einer positiven konjunkturellen Entwicklung bei."},
                third: {leitzins: 1.5, inflation: 3.7, unemployment: 3.3, capacity: 2.8, gauge: 20, response: "Durch Ihre Leitzinsentscheidung bewegen Sie sich weg von der primären Zielsetzung der EZB (Inflation etwas unter 2&nbsp;%). Durch die vergünstigten Kredite an Firmen und Privatleute kurbeln Sie aber Investitionen und Konsum etwas an und tragen damit zu einer positiven konjunkturellen Entwicklung bei."},
                fourth: {leitzins: 2.0, inflation: 3.5, unemployment: 3.5, capacity: 3.0, gauge: 25, response: "Sie haben sich dem primären Inflationsziel der EZB (etwas unter 2&nbsp;%) nicht angenähert. Allerdings haben Sie die insgesamt gute wirtschaftliche Lage auch nicht eingebremst. Sie müssen allerdings darauf achten, dass die Geldentwertung im Griff bleibt."},
                fifth: {leitzins: 2.5, inflation: 2.9, unemployment: 3.7, capacity: 3.3, gauge: 35, response: "Mit Ihrer Leitzinsentscheidung wäre ein erster Schritt zur Erfüllung des EZB-Hauptziels gemacht. Allerdings hätte die Leitzinserhöhung durch „teurere“ Kredite negative Auswirkungen auf Investitionen und Konsum."},
                sixth: {leitzins: 3.0, inflation: 2.6, unemployment: 3.9, capacity: 3.6, gauge: 40, response: "Mit Ihrer Leitzinsentscheidung wäre ein erster Schritt zur Erfüllung des EZB-Hauptziels gemacht. Allerdings hätte die Leitzinserhöhung durch „teurere“ Kredite negative Auswirkungen auf Investitionen und Konsum."},
                seventh: {leitzins: 4.0, inflation: 1.8, unemployment: 4.3, capacity: 4.1, gauge: 50, response: "Mit Ihrer Leitzinsentscheidung wäre das Hauptziel der EZB erreicht (Inflation etwas unter 2&nbsp;%). Allerdings würden durch die erhöhten Kreditzinsen Investitionen von Firmen und Konsumenten geringer ausfallen und dadurch würde die konjunkturelle Entwicklung stocken."}
            }
        },
        third: {leitzins: 3.5, inflation: 2.0, unemployment: 8.0, capacity: 10.0, maxValue: 11.5, anmerkung: "",
            possibilities: {
                percentages: [2.0, 2.5, 3.0, 3.5, 4.0, 4.5, 5.5],
                first: {leitzins: 2.0, inflation: 3.1, unemployment: 6.8, capacity: 8.0, gauge: 20, response: "Durch Ihre Entscheidung einer Leitzinssenkung verlassen Sie den Korridor für die Erreichung des EZB-Hauptziels (Inflation etwas unter 2&nbsp;%) deutlich. Aufgrund der vergünstigten Kredite und der dadurch vereinfachten Investitionen entwickelt sich die bis dahin sehr schwache Konjunktur aber stark positiv."},
                second: {leitzins: 2.5, inflation: 2.5, unemployment: 7.3, capacity: 8.9, gauge: 35, response: "Durch Ihre Entscheidung einer Leitzinssenkung verlassen Sie den Korridor für die Erreichung des EZB-Hauptziels (Inflation etwas unter 2&nbsp;%) deutlich. Aufgrund der vergünstigten Kredite und der dadurch vereinfachten Investitionen entwickelt sich die bis dahin sehr schwache Konjunktur aber stark positiv."},
                third: {leitzins: 3.0, inflation: 2.2, unemployment: 7.6, capacity: 9.5, gauge: 45, response: "Durch Ihre Entscheidung einer Leitzinssenkung verlassen Sie den Korridor für die Erreichung des EZB-Hauptziels (Inflation etwas unter 2%). Aufgrund der vergünstigten Kredite und der dadurch vereinfachten Investitionen entwickelt sich die bis dahin sehr schwache Konjunktur aber positiv."},
                fourth: {leitzins: 3.5, inflation: 2.0, unemployment: 8.0, capacity: 10.0, gauge: 50, response: "Sie haben die Inflationsrate bei 2&nbsp;% konserviert und damit die primäre Zielsetzung der EZB vorläufig erreicht. Allerdings konnten Sie dadurch keinen geldpolitischen Beitrag zu einer positiven Wirtschaftsentwicklung leisten, die auch ggf. zum Abbau der Arbeitslosigkeit führen würde."},
                fifth: {leitzins: 4.0, inflation: 1.7, unemployment: 8.3, capacity: 10.3, gauge: 55, response: "Mit dieser Leitzinsentscheidung haben Sie den Korridor für die Erreichung des EZB-Hauptziels (Inflation etwas unter 2&nbsp;%) noch nicht verlassen. Allerdings entwickeln sich die Konjunkturdaten negativ, da die höheren Zinsen auch die Kreditvergabe an Firmen (Investitionen) und Privatleute (Konsum) verteuern."},
                sixth: {leitzins: 4.5, inflation: 1.5, unemployment: 8.6, capacity: 10.5, gauge: 65, response: "Mit dieser Leitzinsentscheidung verlassen Sie bereits deutlich den Korridor für die Erreichung des EZB-Hauptziels (Inflation etwas unter 2&nbsp;%). Außerdem entwickeln sich die Konjunkturdaten deutlich negativ, da die höheren Zinsen auch die Kreditvergabe an Firmen (Investitionen) und Privatleute (Konsum) stark verteuern."},
                seventh: {leitzins: 5.5, inflation: 1.1, unemployment: 9.3, capacity: 11.3, gauge: 85, response: "Mit dieser Leitzinsentscheidung verlassen Sie bereits deutlich den Korridor für die Erreichung des EZB-Hauptziels (Inflation etwas unter 2&nbsp;%). Außerdem entwickeln sich die Konjunkturdaten deutlich negativ, da die höheren Zinsen auch die Kreditvergabe an Firmen (Investitionen) und Privatleute (Konsum) stark verteuern."}
            }
        },
        fourth: {leitzins: 3.0, inflation: 1.8, unemployment: 5.0, capacity: 4.0, maxValue: 6.5, anmerkung: "Durch eine Entscheidung der Organisation erdölexportierender Länder (OPEC) wird die Förderung gedrosselt und dadurch steigt der Ölpreis abrupt um fast 40 %. Alle Volkswirtschaften der Eurozone sind auf die Einfuhr von Erdöl wirtschaftlich angewiesen.",
            possibilities: {
                percentages: [1.0, 2.0, 2.5, 3.0, 3.5, 4.5, 5.5],
                first: {leitzins: 1.0, inflation: 3.2, unemployment: 4.5, capacity: 3.6, gauge: 87, response: "Das Inflationsziel der EZB wird deutlich verfehlt. Allerdings trägt die Leitzinserhöhung durch eine Vergünstigung der Kredite für Investitionen und Konsum dazu bei, dass die konjunkturellen Folgen des Ölpreisschocks erkennbar aufgefangen werden."},
                second: {leitzins: 2.0, inflation: 2.7, unemployment: 5.0, capacity: 4.0, gauge: 75, response: "Das Inflationsziel der EZB wird deutlich verfehlt. Allerdings trägt die Leitzinserhöhung durch eine Vergünstigung der Kredite für Investitionen und Konsum dazu bei, dass die konjunkturellen Folgen des Ölpreisschocks erkennbar aufgefangen werden."},
                third: {leitzins: 2.5, inflation: 2.4, unemployment: 5.2, capacity: 4.2, gauge: 69, response: "Das Inflationsziel der EZB wird verfehlt. Allerdings trägt die Leitzinserhöhung durch eine Vergünstigung der Kredite für Investitionen und Konsum dazu bei, dass die konjunkturellen Folgen des Ölpreisschocks etwas aufgefangen werden."},
                fourth: {leitzins: 3.0, inflation: 2.2, unemployment: 5.5, capacity: 4.5, gauge: 59, response: "Durch die sprunghafte Verteuerung des Erdöls steigt „automatisch“ die Inflationsrate, da Kraftstoffe, Heizöl und andere auf Erdöl basierende Produkte ebenfalls im Preis anziehen. Insofern verfehlen Sie durch eine Beibehaltung des Leitzinssatzes das Inflationsziel der EZB leicht (aber in einer noch hinnehmbaren Größenordnung). Allerdings bekämpfen sie dadurch nicht die negativen wirtschaftlichen Auswirkungen eines solchen externen Schocks."},
                fifth: {leitzins: 3.5, inflation: 2.0, unemployment: 5.7, capacity: 4.8, gauge: 50, response: "Das Inflationsziel der EZB ist beinahe erreicht. Allerdings trägt die Leitzinserhöhung durch eine Verteuerung der Kredite zur weiteren Konjunkturabschwächung bei, da weniger Investitionen getätigt werden und weniger konsumiert wird."},
                sixth: {leitzins: 4.5, inflation: 1.8, unemployment: 6.0, capacity: 5.2, gauge: 60, response: "Das Inflationsziel der EZB ist vollauf erreicht. Allerdings trägt die Leitzinserhöhung durch eine Verteuerung der Kredite zu einer deutlichen Konjunkturabschwächung bei, da weniger Investitionen getätigt werden und weniger konsumiert wird."},
                seventh: {leitzins: 5.5, inflation: 1.5, unemployment: 6.3, capacity: 5.6, gauge: 80, response: "Das Inflationsziel der EZB ist bereits überschritten. Zudem trägt die Leitzinserhöhung durch eine Verteuerung der Kredite zur weiteren deutlichen Konjunkturabschwächung bei, da viel weniger Investitionen getätigt werden und weniger konsumiert wird."}
            }
        }
    };

    $rootScope.currentScenario = $rootScope.scenarios.first;
    $rootScope.chosenPossibility = $rootScope.scenarios.first.possibilities.second;
    $rootScope.scenarioNumber = 0;
    $rootScope.completedScenarios = [];

    $rootScope.completed = function (scenario) {
        if (!$rootScope.completedScenarios.includes(scenario))
        {
            $rootScope.completedScenarios.push(scenario);
        }
    };

    $rootScope.isCompleted = function (scenario) {
        return $rootScope.completedScenarios.includes(scenario);
    };

    $rootScope.repeat = function (scenario) {
        var index = $rootScope.completedScenarios.indexOf(scenario);
        $rootScope.completedScenarios.splice(index, 1);
    };


}).controller('mainController', function ($scope, $rootScope) {

    $("#impressum").click(function () {
        $(".overlay").show();
    }
    );
    $("#impressum").click(function () {
        $(".overlay").show();
    }
    );
    $(document).click(function (e)
    {
        if ($("#popup").is(e.target) || $(".close").is(e.target))
        {
            $("#popup").hide();
        }
    });
});
